package com.topsunit.scanservice.ximai.controller;

import com.topsunit.scanservice.ximai.dto.InvmbDto;
import com.topsunit.scanservice.ximai.dto.InvmbIdCriteria;
import com.topsunit.scanservice.ximai.service.InvmbService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Optional;

/**
 * <p>Title: InvmbController</p>
 * <p>Description: 品号基本信息档</p>
 *
 * @author xi.feng
 * @version V1.0
 * @date 2021/11/11
 */
@RestController
public class InvmbController {
    private final InvmbService invmbService;

    public InvmbController(InvmbService invmbService) {
        this.invmbService = invmbService;
    }

    @PostMapping("/invmb/getforinvmbinfo")
    public Optional<InvmbDto> getForInvmbInfo(@RequestBody InvmbIdCriteria criteria) {
        return invmbService.getForInvmbInfo(criteria);
    }
}
